# BrightnessFilter class

Brightness adjustment filter.

Inheritance
  - Object
  - ParametricFilter
  - BrightnessFilter

## Constructors

BrightnessFilter.new({double brightness = 0.0})
BrightnessFilter.fromJson(Map<String, dynamic> json)
  factory

## Properties

brightness ↔ double
  Brightness adjustment value in the range from -1 to 1. Negative values will make the image darker, positive values will make it brighter.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
  override
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited